Name: remmina
Version: 1.4.33
Release:    1%{?dist}
Summary: Remote Desktop Client
License: GPL-2.0-or-later and MIT
URL: https://remmina.org

Source0: https://gitlab.com/Remmina/Remmina/-/archive/v%{version}/Remmina-%{version}.tar.gz#/%{name}-%{version}.tar.gz

Source1: pluginBuild-CMakeLists.txt

BuildRequires: cmake >= 3.2
BuildRequires: cups-devel
BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: harfbuzz-devel
BuildRequires: intltool
BuildRequires: kf5-kwallet-devel
BuildRequires: libappstream-glib
BuildRequires: libgcrypt-devel
BuildRequires: libsodium-devel
BuildRequires: python3-devel
BuildRequires: xdg-utils
BuildRequires: pkgconfig(appindicator3-0.1)
BuildRequires: pkgconfig(freerdp2)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: pkgconfig(libsoup-3.0)
BuildRequires: pkgconfig(libssh) >= 0.8.0
BuildRequires: pkgconfig(libvncserver)
BuildRequires: pkgconfig(libpcre2-8)
BuildRequires: pkgconfig(vte-2.91)
BuildRequires: pkgconfig(webkit2gtk-4.1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xkbfile)


Recommends: %{name}-plugins-exec
Recommends: %{name}-plugins-rdp
Recommends: %{name}-plugins-secret
Recommends: %{name}-plugins-vnc


%description
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

Remmina supports multiple network protocols in an integrated and consistent
user interface. Currently RDP, VNC and SSH are supported.

Please don't forget to install the plugins for the protocols you want to use.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
The %{name}-devel package contains header files for developing plugins for
%{name}.

%package plugins-exec
Summary: External execution plugin for Remmina Remote Desktop Client
Requires: %{name} = %{version}-%{release}

%description plugins-exec
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains the plugin to execute external processes (commands or
applications) from the Remmina window.

%package plugins-secret
Summary: Keyring integration for Remmina Remote Desktop Client
Requires: %{name} = %{version}-%{release}
Provides: %{name}-plugins-gnome = %{version}-%{release}

%description plugins-secret
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains the plugin with keyring support for the Remmina remote
desktop client.

%package plugins-rdp
Summary: RDP plugin for Remmina Remote Desktop Client
Requires: %{name} = %{version}-%{release}

%description plugins-rdp
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains the Remote Desktop Protocol (RDP) plugin for the Remmina
remote desktop client.

%package plugins-vnc
Summary: VNC plugin for Remmina Remote Desktop Client
Requires: %{name} = %{version}-%{release}

%description plugins-vnc
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains the VNC plugin for the Remmina remote desktop
client.

%package plugins-www
Summary: WWW plugin for Remmina Remote Desktop Client
Requires: %{name} = %{version}-%{release}

%description plugins-www
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains the WWW plugin (web browser with authentication) for the
Remmina remote desktop client.

%package plugins-kwallet
Summary: KDE Wallet plugin for Remmina Remote Desktop Client
Requires: %{name} = %{version}-%{release}

%description plugins-kwallet
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains the KDE Wallet plugin for the Remmina remote desktop
client. It will be activated automatically if KDE Wallet is installed and
running.

%package plugins-x2go
Summary: x2go plugin for Remmina Remote Desktop Client
Requires: %{name} = %{version}-%{release}
Requires: pyhoca-cli

%description plugins-x2go
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains the x2go plugin for the Remmina remote desktop client.

%package plugins-python
Summary: Python plugin for Remmina Remote Desktop Client
Requires: %{name} = %{version}-%{release}

%description plugins-python
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains the python plugin for the Remmina remote desktop client.

%package gnome-session
Summary: Gnome Shell session for Remmina kiosk mode
Requires: %{name} = %{version}-%{release}
Requires: gnome-session

%description gnome-session
Remmina is a remote desktop client written in GTK+, aiming to be useful for
system administrators and travelers, who need to work with lots of remote
computers in front of either large monitors or tiny net-books.

This package contains Remmina kiosk mode, including a Gnome Shell session
that shows up under the display manager session menu.

%prep
%autosetup -p1 -n Remmina-v.%{version}

%build
%cmake \
    -DCMAKE_INSTALL_LIBDIR=%{_lib} \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DHAVE_LIBAPPINDICATOR=ON \
    -DWITH_AVAHI=OFF \
    -DWITH_GCRYPT=ON \
    -DWITH_GETTEXT=ON \
    -DWITH_KF5WALLET=ON \
    -DWITH_KIOSK_SESSION=ON \
    -DWITH_LIBSSH=ON \
    -DWITH_NEWS=OFF \
    -DWITH_PYTHONLIBS=ON \
    -DWITH_SPICE=OFF \
    -DWITH_VTE=ON \
    -DWITH_X2GO=ON
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}/%{_libdir}/cmake/%{name}/
cp -pr cmake/*.cmake %{buildroot}/%{_libdir}/cmake/%{name}/
cp -pr config.h.in %{buildroot}/%{_includedir}/%{name}/
cp -p %{SOURCE1} %{buildroot}/%{_includedir}/%{name}/

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml

%files -f %{name}.lang
%license LICENSE
%doc AUTHORS CHANGELOG.md README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-file-wrapper
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/actions/*.*
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/icons/hicolor/*/emblems/org.remmina.Remmina-*.svg
%{_datadir}/icons/hicolor/*/status/org.remmina.Remmina-status.svg
%{_datadir}/icons/hicolor/apps/*.svg
%{_datadir}/mime/packages/*.xml
%{_datadir}/%{name}/
%dir %{_libdir}/remmina/
%dir %{_libdir}/remmina/plugins/
%{_mandir}/man1/%{name}.*
%{_mandir}/man1/%{name}-file-wrapper.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}/*.cmake

%files plugins-exec
%{_libdir}/remmina/plugins/remmina-plugin-exec.so

%files plugins-secret
%{_libdir}/remmina/plugins/remmina-plugin-secret.so

%files plugins-rdp
%{_libdir}/remmina/plugins/remmina-plugin-rdp.so
%{_datadir}/icons/hicolor/*/emblems/org.remmina.Remmina-rdp-ssh-symbolic.svg
%{_datadir}/icons/hicolor/*/emblems/org.remmina.Remmina-rdp-symbolic.svg

%files plugins-vnc
%{_libdir}/remmina/plugins/remmina-plugin-vnc.so
%{_datadir}/icons/hicolor/*/emblems/org.remmina.Remmina-vnc-ssh-symbolic.svg
%{_datadir}/icons/hicolor/*/emblems/org.remmina.Remmina-vnc-symbolic.svg

%files plugins-www
%{_libdir}/remmina/plugins/remmina-plugin-www.so

%files plugins-kwallet
%{_libdir}/remmina/plugins/remmina-plugin-kwallet.so

%files plugins-python
%{_libdir}/remmina/plugins/remmina-plugin-python_wrapper.so

%files plugins-x2go
%{_libdir}/remmina/plugins/remmina-plugin-x2go.so
%{_datadir}/icons/hicolor/*/emblems/org.remmina.Remmina-x2go-ssh-symbolic.svg
%{_datadir}/icons/hicolor/*/emblems/org.remmina.Remmina-x2go-symbolic.svg

%files gnome-session
%{_bindir}/gnome-session-remmina
%{_bindir}/remmina-gnome
%{_datadir}/gnome-session/sessions/remmina-gnome.session
%{_datadir}/xsessions/remmina-gnome.desktop
%{_mandir}/man1/gnome-session-remmina.1*
%{_mandir}/man1/remmina-gnome.1*

%changelog
* Mon Sep 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.33-1
- initial build
